<template>
  <div class="min-h-full relative overflow-hidden">
    <div class="absolute inset-0 bg-quiz-100 z-0"></div>
    <div class="absolute blob--red animate-blob z-10"></div>
    <div
      class="absolute blob--yellow animate-blob animation-delay-2000 z-10"
    ></div>
    <div
      class="absolute blob--blue animate-blob animation-delay-4000 z-10"
    ></div>
    <div class="container mx-auto relative z-20">
      <UiLoader v-if="showLoading" class="w-min mx-auto mt-8 min-h-screen" />
      <Nuxt v-else class="min-h-screen" />
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import UiLoader from '@/components/UI/Loader/UiLoader'

export default {
  components: {
    UiLoader,
  },
  computed: {
    ...mapState({
      showLoading: (state) => state.showLoading,
    }),
  },
}
</script>
